summaryrefslogtreecommitdiffstats
path: root/games/qmc2/qmc2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/qmc2/qmc2.SlackBuild')
-rw-r--r--games/qmc2/qmc2.SlackBuild63
1 files changed, 51 insertions, 12 deletions
diff --git a/games/qmc2/qmc2.SlackBuild b/games/qmc2/qmc2.SlackBuild
index c911fbfa10..8a7405f167 100644
--- a/games/qmc2/qmc2.SlackBuild
+++ b/games/qmc2/qmc2.SlackBuild
@@ -1,11 +1,30 @@
-#!/bin/sh -eu
+#!/bin/sh
+#
+# Slackware build script for Google QMC2
-# Slackware build script for QMC2
-# Written by Erik Hanson erik@slackbuilds.org
+# Copyright 2010 Erik Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=qmc2
-VERSION=0.2.b5
-ARCH=i486 # This should match your QT4 $ARCH
+VERSION=0.2.b13
+ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -14,8 +33,18 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -eu
+
rm -rf $PKG
-mkdir -p $TMP $PKG
+mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
@@ -23,9 +52,15 @@ cd $PRGNAM
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-export QTDIR=/usr/lib/qt4
-make PREFIX=/usr
-make install PREFIX=/usr DESTDIR=$PKG
+CFLAGS="$SLKCFLAGS"
+make \
+ PREFIX=/usr \
+ PRETTY=0 \
+ MACHINE=$ARCH
+
+make install \
+ PREFIX=/usr \
+ DESTDIR=$PKG
find $PKG | xargs file | egrep "ELF.*executable" | cut -f 1 -d : \
| xargs strip --strip-unneeded 2> /dev/null
@@ -33,12 +68,16 @@ find $PKG | xargs file | egrep "ELF.*executable" | cut -f 1 -d : \
install -D -m 0644 $CWD/qmc2.desktop $PKG/usr/share/applications/qmc2.desktop
install -D -m 0644 $CWD/qmc2.png $PKG/usr/share/icons/qmc2.png
-mkdir -p $PKG/usr/doc $PKG/install
+mv $PKG/etc/qmc2/qmc2.ini $PKG/etc/qmc2/qmc2.ini.new
+
+mkdir -p $PKG/usr/doc
mv $PKG/usr/share/qmc2/doc/ $PKG/usr/doc/$PRGNAM-$VERSION/
-( cd $PKG/usr/share/qmc2 ; ln -s ../../doc/$PRGNAM-$VERSION doc )
+ln -s ../../doc/$PRGNAM-$VERSION $PKG/usr/share/qmc2/doc
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}